Subject: Re: bug#61703: 29.0.60; Emacs crashes on C-x 8 RET

From: Kai Ma <[email-masked]>
Date: Thu, 23 Feb 2023 02:45:58 +0800

> On Feb 22, 2023, at 22:08, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Kai Ma <[email-masked]>
>> Date: Wed, 22 Feb 2023 20:59:54 +0800
>> Cc: [email-masked]
>> 
>> 1. Create a fresh Emacs instance.
>> 
>> 2. Press C-x 8 RET before doing anything else.
>>   If vertico-posframe is displayed successfully at least once (e.g. using M-x)
>>   then Emacs won’t crash from insert-char anymore.
>> 
>> 3. Emacs crashes before the child frame appears, so I don’t have a 
>>   chance to type anything.
>> 
>> 
>> There is a minimal init.el with which I can reproduce this crash:
>> 
>>  (package-install 'vertico)
>>  (package-install 'vertico-posframe)
>> 
>>  (use-package vertico
>>    :hook (after-init . vertico-mode))
>> 
>>  (use-package vertico-posframe
>>    :hook (vertico-mode . vertico-posframe-mode))
> 
> Thanks.  Unfortunately, it doesn't crash for me, after doing these
> steps.
> 
> Any other steps I could try to increase the probability of a crash?

I tried to make a self-contained tarball.

emacs -Q -l bug.el, and then C-x 8 RET.

> Does this happen with any font you use as the default font?

I tested against some fonts with

    emacs -Q --eval "(set-face-attribute 'default nil :family FONT)" -l bug.el

Indeed the choice of the default font seems relevant. The observed results:

| Menlo (default monospace font) | crash    |
| Courier New                    | crash    |
| Courier Prime                  | no crash |
| JetBrains Mono                 | no crash |
| Cascadia Mono                  | crash    |
| Fira Code                      | no crash |
| Fira Mono                      | crash    |

Hope this helps.